## cascading
Class CascadingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cascading.CascadingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CascadeException, FlowException, OperationException, OperatorException, StackException, TapException, TupleException

    public class CascadingException

extends RuntimeException

Class CascadingException is the base class of all Cascading exceptions.

See Also:
  Serialized Form

Constructor Summary
`CascadingException()` Constructor CascadingException creates a new CascadingException instance.
`CascadingException(String string)` Constructor CascadingException creates a new CascadingException instance.
`CascadingException(String string, Throwable throwable)` Constructor CascadingException creates a new CascadingException instance.
`CascadingException(Throwable throwable)` Constructor CascadingException creates a new CascadingException instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CascadingException

    public CascadingException()

  Constructor CascadingException creates a new CascadingException instance.

### CascadingException

    public CascadingException(String string)

  Constructor CascadingException creates a new CascadingException instance.

  Parameters:
    `string` - of type String

### CascadingException

    public CascadingException(String string,
                              Throwable throwable)

  Constructor CascadingException creates a new CascadingException instance.

  Parameters:
    `string` - of type String
    `throwable` - of type Throwable

### CascadingException

    public CascadingException(Throwable throwable)

  Constructor CascadingException creates a new CascadingException instance.

  Parameters:
    `throwable` - of type Throwable

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.